<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <h:form id="globalForm">
      <h1>#{messages['net.ihe.gazelle.cdagen.ListAllAuthors']}</h1>
      <s:div id="globalDiv">
        <a4j:region rendered="#{identity.loggedIn}">
          <s:decorate template="/layout/edit.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.SearchOnlyMyFiles']}</ui:define>
            <h:selectBooleanCheckbox value="#{cdaFileManager.searchForIdentity}">
              <a4j:ajax event="change" render="globalDiv"/>
            </h:selectBooleanCheckbox>
          </s:decorate>
        </a4j:region>
        <br/>
        <s:decorate id="filedocd" template="/layout/edit.xhtml">
          <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.CDADocument']}</ui:define>
          <h:selectOneMenu id="listcdatsype" value="#{cdaFileManager.cdaDocument}">
            <s:selectItems value="#{cdaFileManager.listFileDocuments()}" var="currdoc" label="#{currdoc.value}"/>
            <a4j:ajax event="change" render="globalDiv"/>
          </h:selectOneMenu>
        </s:decorate>
        <s:decorate id="filetyped" template="/layout/edit.xhtml">
          <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.CDAType']}</ui:define>
          <h:selectOneMenu id="listcdatype" value="#{cdaFileManager.cdaType}">
            <s:selectItems value="#{cdaFileManager.listCDATypes()}" var="currcdatype" label="#{currcdatype.value}"/>
          </h:selectOneMenu>
        </s:decorate>
        <s:div id="periodSelection">
          <h:panelGrid columns="10">
            <a4j:region id="startDateRegion">
              <s:decorate id="startDateDecoration" template="/layout/edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.SentReceivedAfter']}</ui:define>
                <h:panelGrid id="panelStartDate" columns="2">
                  <a4j:outputPanel id="calendarStartDate" layout="block">
                    <rich:calendar value="#{cdaFileManager.startDate}" locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy" showApplyButton="false" style="width:200px">
                      <a4j:ajax event="change" render="globalDiv" listener="#{cdaFileManager.applyFilter()}"/>
                    </rich:calendar>
                  </a4j:outputPanel>
                </h:panelGrid>
              </s:decorate>
            </a4j:region>
            <a4j:region id="endDateRegion">
              <s:decorate id="endDateDecoration" template="/layout/edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.AndOrBefore']}</ui:define>
                <h:panelGrid id="panelEndDate" columns="2">
                  <a4j:outputPanel id="calendarEndDate" layout="block">
                    <rich:calendar value="#{cdaFileManager.endDate}" locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy" showApplyButton="false" style="width:200px">
                      <a4j:ajax event="change" render="globalDiv" listener="#{cdaFileManager.applyFilter()}"/>
                    </rich:calendar>
                  </a4j:outputPanel>
                </h:panelGrid>
              </s:decorate>
            </a4j:region>
            <a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.ResetFilter']}" actionListener="#{cdaFileManager.resetFilter()}" styleClass="commandButton"   render="globalDiv"/>
          </h:panelGrid>
        </s:div>
        <rich:dataTable value="#{cdaFileManager.cdaFilesFounds}" id="patientsListTable" var="cdafile" rows="10" onRowMouseOver="this.style.backgroundColor='#94C2E6';" onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}';" render="ds">
          <g:column sortBy="#{'id'}" sortOrder="descending" filterBy="#{'id'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['id']}"><ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Id']}</ui:define>
						#{cdafile.id}
					</g:column>
          <g:column sortBy="#{'fileDocument'}" filterBy="#{'fileDocument'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['fileDocument']}"><ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Document']}</ui:define>
						#{cdafile.fileDocument.value}
					</g:column>
          <g:column sortBy="#{'cdaType'}" filterBy="#{'cdaType'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['cdaType']}"><ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Type']}</ui:define>
						#{cdafile.cdaType.value}
					</g:column>
          <g:column sortBy="#{'creator'}" filterBy="#{'creator'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['creator']}"><ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Creator']}</ui:define>
						#{cdafile.creator}
					</g:column>
          <g:column sortBy="#{'dateCreation'}" filterBy="#{'dateCreation'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['dateCreation']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.DateCreation']}</ui:define>
            <h:outputText value="#{cdafile.dateCreation}">
              <s:convertDateTime type="both" pattern="dd/MM/yyyy - hh:mm:ss" locale="#{localeSelector.localeString}"/>
            </h:outputText>
          </g:column>
          <g:column id="actionColumn">
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Action']}</ui:define>
            <center>
              <a4j:commandLink for="selectPatientImage" actionListener="#{cdaFileManager.displayCDAFile(cdafile)}"  oncomplete="jq162('#ViewSelectedCDAFile').modal('show');" render="globalDiv"/>
              <h:graphicImage id="selectPatientImage" title="#{messages['net.ihe.gazelle.cdagen.ViewAuthor']}" value="/img/icons64/kfind.gif" width="28" height="28" style="cursor: pointer;"/>
            </center>
          </g:column>
          <ui:include src="/tableFooter.xhtml"/>
        </rich:dataTable>
      </s:div>
    </h:form>
    <gri:popupPanel id="ViewSelectedCDAFile" width="900" height="500">
      <f:facet name="header">
        <h:outputText value="#{messages['net.ihe.gazelle.cdagen.DispensationGeneration']}"/>
      </f:facet>
      <f:facet name="controls">
        <h:graphicImage id="CommentSampleGraphicImageFC" alt="#{messages['gazelle.common.button.mp.close']}" value="/img/modal/close.gif" style="cursor:pointer" onclick="jq162('#ViewSelectedCDAFile').hide()"/>
      </f:facet>
      <s:decorate id="decview" rendered="#{cdaFileManager.selectedCDAFile != null}">
        <h:form id="formview">
          <gri:panel pid="panview">
            <h:selectOneRadio value="#{cdaFileManager.viewMode}">
              <f:selectItem itemLabel="#{messages['net.ihe.gazelle.cdagen.Xml']}" itemValue="xml"/>
              <f:selectItem itemLabel="#{messages['net.ihe.gazelle.cdagen.Html']}" itemValue="html"/>
              <a4j:ajax event="change"  render="tabpaneped"/>
            </h:selectOneRadio>
            <s:div id="edxmlview" rendered="#{cdaFileManager.viewMode.equals('xml')}">
              <gdk:insert content="#{cdaFileManager.selectedCDAFile.cdaFileContent}" highlight="xml" style="overflow:auto; width: 840px; height: 380px;"/>
            </s:div>
            <s:div id="edhtmlview" rendered="#{cdaFileManager.viewMode.equals('html')}">
							#{cdaFileManager.updateViewForMessages()}
							<iframe src="../dispgenerator/eDview1.seam" style="width: 840px; height: 380px; border-width: 0px;"/>
						</s:div>
          </gri:panel>
        </h:form>
      </s:decorate>
    </gri:popupPanel>
  </ui:define>
</ui:composition>
